Page MenuHomePhabricator

[P&E Dashboard] Provide cumulative statistics for all programs a user has participated in
Closed, ResolvedPublic

Description

One of the big needs for users who facilitate many programs (eg, instructors who teach many courses with Wikipedia assignments) is to be able to report about the cumulative impact they've had. The dashboards — outreachdashboard.wmflabs.org and dashboard.wikiedu.org — currently only show statistics for each individual program. There's no way for a user to see the totals from all their programs combined.

This could be part of a profile page, which would show cumulative statistics, a list of all their programs, and graphical representations of some of the statistics over time.

This would be a great project for Outreachy or GSoC, for someone interested in Ruby and/or Javascript and/or front-end design.
Possible mentors : @Ragesoss @Capt_Swing

Event Timeline

Ragesoss created this task.Aug 15 2016, 4:45 PM
Restricted Application added subscribers: Base, Aklapper. · View Herald TranscriptAug 15 2016, 4:45 PM

I notified some people who I think could be interested. This could also be a topic for the Wikimedia Hackathon 2017 I guess?

Sumit updated the task description. (Show Details)Sep 10 2016, 4:55 PM
Sumit added a subscriber: Sumit.

@Ragesoss I took the liberty of adding you as a mentor since you were the author :) . Feel free to revert, if you're not mentoring this season. Also, let us know if any one else is willing to act as a co-mentor.

Thanks much @Sumit!

@Capt_Swing: up for potentially being a UX mentor, since it didn't work out last time?

@Ragesoss potentially. What's the anticipated commitment in terms of start/end dates and hours per week?

@Capt_Swing December 6, 2016 to March 6, 2017. As a supporting mentor, I would estimate a time commitment of 2-3 hours per week. (Probably 5-8 for me.)

@Ragesoss I think I can manage that. May be available less than 2-3 hours during some weeks, but I'll do my best not to leave anyone hanging.

Capt_Swing updated the task description. (Show Details)Sep 27 2016, 9:52 PM

A few user stories...


As an instructor who has taught four courses with Wikipedia, I want a place I can link people to that highlights things I do with Wikipedia in my classroom. I want to be able to show other people each of the projects I've done, and I want them to be able to see how much my students have improved Wikipedia across all of these courses.


As a dashboard admin or curious user, I want to look up a user by their username and find their profile with all their courses.


As an instructor, I want to be able to customize my profile with with some additional information about how and why I use Wikipedia.


As a dashboard user, I want to be able to access my profile easily.


As a dashboard user, I want to be able to update my preferences — full name, email, and instructor/student status — from my profile page.


As an instructor, I want to be able to see a summary of what one of my students has contributed over time on their profile page, with relevant links to see their work in more depth.

Nmartinez23 added a subscriber: Nmartinez23.EditedOct 6 2016, 6:19 PM

Hi @Ragesoss, my name is Nick Martinez and I am very interested in the P&E Dashboard project. I have some experience in Javascript and Ruby but I'm new to open source contributions. Are there some bugs or tasks in particular that would be good for me to work on that's related to this project? Thank you

@Nmartinez23: Hi Nick! I suggest trying one of these issues: https://github.com/WikiEducationFoundation/WikiEduDashboard/issues?q=is%3Aissue+is%3Aopen+label%3A%22newcomer+friendly%22

You can reach out to me — 'ragesoss' on freenode IRC in the #wikimedia-ed channel, or on Github in the relevant issue — if you have any questions. Here's the setup guide for a development environment. If any of that doesn't work for you or is confusing, let me know!

@Ragesoss Great thanks so much. I will get started on setting up the dev environment and get working on an issue.

Dew036 added a subscriber: Dew036.Oct 13 2016, 4:42 AM

Hi Ragesoss,

I am interested in the P&E dashboard project for my Outreachy 2016 proposal project. Are you accepting mentees for this project?

Thank you,

Dawn

@Dew036 Hi! I'm accepting mentees for this project, although there is very little time left to make microcontributions and create an application before the deadline.

Sumit added a comment.Oct 13 2016, 4:34 PM

@Dew036 if you're still interested, you can submit an application by Oct-17 and swiftly work towards micro-contributions. As per https://wiki.gnome.org/Outreachy#Submit_an_Application applications are editable till sometime afterwards, but you'll have to be quick in contributions and communication with mentors in order for being considered as a strong candidate.

Thank you Ragesoss and Sumit! Yes, time is short now, but I will do my best to make my micro-contributions and complete the application process anyway. As a newbie to FOSS, I think going through the process will be very useful.

@Dew036 let me know if you have any questions. The best way to get started will be to set up a development environment — https://github.com/WikiEducationFoundation/WikiEduDashboard/blob/master/docs/setup.md — and then do one or more of the tasks marked as Newcomer Friendly: https://github.com/WikiEducationFoundation/WikiEduDashboard/issues?q=is%3Aissue+is%3Aopen+label%3A%22newcomer+friendly%22

You can find me on freenode IRC in the #wikimedia-ed channel, also.

Great, thank you. I will get the dev environ set up and start on a task. I will touch base on freenode IRC if I have questions.

Feedback provided on first round of wireframes T148090#2734912

Feedback provided on second round of wireframes T148090#2772740

Few changes made in the wireframes T148090#2774736, Up for Feedback.

Basic version of wireframes for User Profile Form introduced and some updates after the last feedback T148090#2841483, up for feedback:)

Ragesoss closed this task as Resolved.Jan 9 2018, 8:26 PM
Ragesoss claimed this task.